package com.jxdinfo.hussar.core.util;

import org.springframework.core.io.support.ResourcePatternResolver;
import com.jxdinfo.hussar.core.constant.RequestCount;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.Executors;
import java.security.PrivateKey;
import java.io.ByteArrayOutputStream;
import java.security.Key;
import javax.crypto.Cipher;
import java.security.spec.KeySpec;
import java.security.KeyFactory;
import java.security.spec.PKCS8EncodedKeySpec;
import java.util.HashSet;
import java.util.Set;
import java.util.HashMap;
import java.net.URL;
import java.util.regex.Matcher;
import java.util.Properties;
import com.jxdinfo.hussar.core.listener.RLInterceptor;
import org.apache.commons.lang3.time.DateUtils;
import org.springframework.http.HttpStatus;
import com.alibaba.fastjson.JSON;
import org.apache.commons.io.FileUtils;
import java.nio.charset.Charset;
import com.jxdinfo.hussar.core.support.exception.NoLicenseException;
import org.apache.commons.lang3.ArrayUtils;
import java.util.Iterator;
import java.io.Reader;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import com.jxdinfo.hussar.core.support.OrderedProperties;
import org.springframework.core.io.Resource;
import org.springframework.core.io.support.PathMatchingResourcePatternResolver;
import org.springframework.util.FileCopyUtils;
import com.jxdinfo.hussar.core.ui.UI;
import java.util.ArrayList;
import java.util.List;
import com.jxdinfo.hussar.core.support.SystemInfo;
import java.io.InputStream;
import java.io.FileInputStream;
import java.util.Arrays;
import java.io.IOException;
import org.springframework.core.io.ClassPathResource;
import java.io.File;
import java.util.Map;
import com.jxdinfo.hussar.core.support.StrKit;
import org.apache.commons.lang3.StringUtils;
import java.net.NoRouteToHostException;
import com.alibaba.fastjson.JSONObject;
import com.jxdinfo.hussar.core.cache.CacheEntry;
import com.jxdinfo.hussar.CoreVersion;
import org.slf4j.LoggerFactory;
import org.slf4j.helpers.NOPLogger;
import org.slf4j.Logger;
import java.util.Date;
import org.springframework.context.annotation.DependsOn;

@DependsOn({ "springContextHolder" })
public abstract class SecurityUtil
{
    private static Date r;
    static String s;
    private static long N;
    private static Integer Y;
    protected static final String SECURITY_PATH_DEV;
    private static Long Q;
    private static String U;
    private static final String w = "target/classes/bootstrap";
    public static String folderName;
    private static final String Z = "/";
    private static Boolean O;
    protected static byte[] hussar_V9_header;
    private static String B;
    private static final String M = "rpc/ping";
    private static final String K = "rpc/releaseTicket";
    private static boolean E;
    private static Boolean A;
    private static String b;
    private static String m;
    public static boolean isDateTimeValidity;
    public static final String SECURITY_PATH;
    protected static byte[] hussar_header;
    private static String f;
    private static Boolean a;
    private static final String H = "rpc/obtainTicket";
    private static final String d;
    private static String l;
    private static String c;
    private static final String L = "rpc/obtainId";
    private static String k;
    protected static byte[] hussar_V8_header;
    private static long g;
    private static String D;
    public static final String SF_FILE_SEPARATOR;
    private static Integer h;
    private static Boolean i;
    private static final String I;
    private static String J;
    private static final String F = "target/classes/application";
    private static Date j;
    private static final String G;
    private static final String C = "rpc/prolongTicket";
    private static Long e;
    private static String goto;
    protected static String RequstCode;
    public static boolean isLicenseValidity;
    protected static Logger log;
    
    static {
        SecurityUtil.log = LoggerFactory.getLogger(NOPLogger.class);
        SF_FILE_SEPARATOR = System.getProperty(Checker.static("\\XKI\u0004Rc}F^[EPF"));
        I = CoreVersion.getFolderName();
        d = CoreVersion.getDevFolderName();
        G = System.getProperty(CacheEntry.abstract("\u0015o\u0002iNn\u0012!R"));
        SECURITY_PATH = new StringBuilder().insert(0, SecurityUtil.G).append(SecurityUtil.SF_FILE_SEPARATOR).append(SecurityUtil.I).toString();
        SECURITY_PATH_DEV = new StringBuilder().insert(0, SecurityUtil.G).append(SecurityUtil.SF_FILE_SEPARATOR).append(SecurityUtil.d).toString();
        SecurityUtil.isLicenseValidity = false;
        SecurityUtil.isDateTimeValidity = false;
        SecurityUtil.e = 0L;
        SecurityUtil.Q = 0L;
        SecurityUtil.Y = 2048;
        SecurityUtil.k = SystemUtils.getSystemOsVersion();
        SecurityUtil.hussar_V8_header = new byte[] { 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 13, 10, -26, -84, -94, -24, -65, -114, -28, -67, -65, -25, -108, -88, -24, -67, -69, -23, -86, -111, -27, -123, -75, -27, -68, -128, -27, -113, -111, -27, -71, -77, -27, -113, -80, 86, 56, 13, 10, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 13, 10 };
        SecurityUtil.hussar_V9_header = new byte[] { 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 13, 10, -26, -84, -94, -24, -65, -114, -28, -67, -65, -25, -108, -88, -24, -67, -69, -23, -86, -111, -27, -123, -75, -28, -67, -114, -28, -69, -93, -25, -96, -127, -27, -68, -128, -27, -113, -111, -27, -71, -77, -27, -113, -80, 13, 10, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 13, 10 };
        SecurityUtil.hussar_header = ("hussar_V8.lic".equals(CoreVersion.licFileName) ? SecurityUtil.hussar_V8_header : SecurityUtil.hussar_V9_header);
        SecurityUtil.RequstCode = LicenseInfo.generateRequestSN();
        SecurityUtil.N = System.currentTimeMillis();
        SecurityUtil.g = System.currentTimeMillis();
        SecurityUtil.J = CoreVersion.getLicenseVersion();
        SecurityUtil.O = false;
        SecurityUtil.i = false;
        SecurityUtil.m = "";
        SecurityUtil.A = true;
        SecurityUtil.D = "http://123.232.10.234:8090";
        SecurityUtil.a = false;
        SecurityUtil.folderName = "";
        SecurityUtil.E = false;
    }
    
    public static Boolean isTrial() {
        true();
        return SecurityUtil.O;
    }
    
    protected static Long getUserLimit() {
        true();
        return SecurityUtil.e;
    }
    
    protected static String getOtherLimit() {
        true();
        return SecurityUtil.B;
    }
    
    public static synchronized boolean check() {
        if (!ResourceUtils.checkVersion()) {
            exitSystem(CacheEntry.abstract("揩杔髠诐奛贼｣"), false);
        }
        if ("".equals(SecurityUtil.folderName)) {
            try {
                final byte[] array = new byte[0];
                File file = new File(new StringBuilder().insert(0, LicenseInfo.getUploadPath()).append(CoreVersion.licFileName).toString());
                final ClassPathResource classPathResource = new ClassPathResource(new StringBuilder().insert(0, Checker.static("eBMB")).append(SecurityUtil.SF_FILE_SEPARATOR).append(CoreVersion.licFileName).toString());
                if (!file.exists() && classPathResource.exists() && SecurityUtil.i) {
                    try {
                        EncryptUtil.getFileSHA256(file = classPathResource.getFile());
                    }
                    catch (final IOException ex) {
                        return false;
                    }
                    SecurityUtil.i = true;
                }
                final boolean exists;
                if (!(exists = file.exists())) {
                    throws(false);
                    SecurityUtil.log.error(new StringBuilder().insert(0, CacheEntry.abstract("详砄设乫伷旫仧呧丣B")).append(CoreVersion.licFileName).append(Checker.static("〶")).toString());
                    return false;
                }
                final File file2 = file;
                if (StringUtils.isNotBlank(CoreVersion.licCusHeader)) {
                    SecurityUtil.hussar_header = new String(SecurityUtil.hussar_header, "UTF-8").replaceAll("[\\u4E00-\\u9FA5A-Za-z0-9_-]+", CoreVersion.licCusHeader).getBytes("UTF-8");
                }
                final Map fileToMap;
                if (!(fileToMap = new RandomFileUtil(file2, SecurityUtil.hussar_header.length).fileToMap()).containsKey(CacheEntry.abstract("\tx\t\u007f\u000fd\t?\u000ex\u0016"))) {
                    file2.delete();
                    return false;
                }
                final byte[] array2 = fileToMap.get(Checker.static("@CBccTI\u0014U^@"));
                final byte[] array3 = fileToMap.get(CacheEntry.abstract("c\u0001?\u000ex\u0016"));
                final byte[] array4 = fileToMap.get(Checker.static("TIITtdSU\u0014RM@"));
                if (!Arrays.equals(SecurityUtil.hussar_header, (byte[])fileToMap.get(CacheEntry.abstract("\u007f\tp\u000e|\u0010")))) {
                    file2.delete();
                    return false;
                }
                EncryptUtil.byteArrayToFile(array2, new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(Checker.static("MCYTI_O\u000fblS\u0002N\\O\u0004")).toString());
                final byte[] array5 = array4;
                EncryptUtil.byteArrayToFile(array3, SecurityUtil.SECURITY_PATH + SecurityUtil.SF_FILE_SEPARATOR + CacheEntry.abstract("\u0011|D~\u0000cBe\u0007iR"));
                EncryptUtil.byteArrayToFile(array5, new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(Checker.static("^DIOCNXS\u000fe\u007fS\u0002N\\O\u0004")).toString());
                final String a = new String(EncryptUtil.Base64Encode(readByte(new FileInputStream(org.springframework.util.ResourceUtils.getFile(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(CacheEntry.abstract("/c\u001en\u0012w\u0011hDy\u0013cBe\u0007iR")).toString())))));
                final File file3;
                if (!(file3 = new File(SecurityUtil.SECURITY_PATH)).exists()) {
                    file3.mkdirs();
                }
                if (!new File(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(Checker.static("MCYTI_O\u000fblS\u0002N\\O\u0004")).toString()).exists()) {
                    throws(false);
                    return false;
                }
                final byte[] hexDecode = EncryptUtil.hexDecode(readText(new FileInputStream(org.springframework.util.ResourceUtils.getFile(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(CacheEntry.abstract("j\u0014x\u0005p\u0016tD~\u0000cBe\u0007iR")).toString()))).replaceAll(Checker.static("mL\u001f"), "").trim());
                final File file4;
                if (!(file4 = new File(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(CacheEntry.abstract("\u0011|D~\u0000cBe\u0007iR")).toString())).exists()) {
                    throws(false);
                    return false;
                }
                final byte[] hexDecode2 = EncryptUtil.hexDecode(readText(new FileInputStream(file4)));
                final byte[] base64Decode = EncryptUtil.Base64Decode(new String(hexDecode).getBytes());
                final byte[] base64Decode2 = EncryptUtil.Base64Decode(new String(hexDecode2).getBytes());
                final byte[] decrypt;
                if ((decrypt = decrypt(base64Decode, a)).equals(base64Decode)) {
                    throws(false);
                    return false;
                }
                final String s = new String(decrypt);
                final String s2 = new String(base64Decode2);
                final Map splitToMapx;
                final Integer value = Integer.valueOf((splitToMapx = StrKit.splitToMapx(s, Checker.static("\u000f"), "=")).get(CacheEntry.abstract("1e\u0003u\u001fz\u0016")));
                SecurityUtil.folderName = new StringBuilder().insert(0, Checker.static("\u001fO_Z~v\u007fHHORZk")).append(PingYinUtil.getPYIndexStr(StrKit.unicodeToString((String)splitToMapx.get(CacheEntry.abstract("_\u000bt\u0007"))), false)).toString();
                final String s3 = splitToMapx.get(Checker.static("g@eLCHHTLG"));
                final String s4 = splitToMapx.get(CacheEntry.abstract("Y\u000bh\u0005`\rc\u000fP&"));
                if (value != 1 && (!SecurityUtil.i || value != 3)) {
                    throws(false);
                    SecurityUtil.log.error(CacheEntry.abstract("弣剪揔杅旺仭乮玱壦东卓酗ｭ诠梬柴砄讽だ"));
                    SecurityUtil.log.error(String.format(Checker.static("接杢断仌下］\tYＭ录剀玈墯一Ｋ\u001aG"), (value == 1) ? Checker.static("郒罃掷杷") : ((value == 3) ? CacheEntry.abstract("弑去掑朡") : ((value == 6) ? Checker.static("误甙掷杷") : "")), SecurityUtil.O ? CacheEntry.abstract("评畂玶壡") : (SecurityUtil.i ? Checker.static("强叠玐墷") : CacheEntry.abstract("郹缘玶壡"))));
                    return false;
                }
                final Map map = splitToMapx;
                final Date startDateFromMap = getStartDateFromMap(map);
                final Date endDateFromMap = getEndDateFromMap(map);
                final Map splitToMapx2 = StrKit.splitToMapx(s2, Checker.static("\u000f"), "=");
                final Date startDateFromMap2 = getStartDateFromMap(splitToMapx2);
                final Date endDateFromMap2 = getEndDateFromMap(splitToMapx2);
                final long currentTimeMillis = System.currentTimeMillis();
                final boolean b = (endDateFromMap.getTime() > currentTimeMillis && startDateFromMap.getTime() < currentTimeMillis) & SystemInfo.checkMacAndCpu(s3, s4);
                final boolean b2 = endDateFromMap2.getTime() > currentTimeMillis && startDateFromMap2.getTime() < currentTimeMillis;
                if (b && b2) {
                    SecurityUtil.O = false;
                    throws(SecurityUtil.E = true);
                    return true;
                }
                throws(false);
                SecurityUtil.log.error(CacheEntry.abstract("彴剬插杔旫仧乤玨壿不卂酖扶录到糰纯旑閨下坕掓朣旨閑匫閞冟ｭ诠梬柴砄讽だ"));
                return false;
            }
            catch (final Exception ex2) {
                throws(false);
                SecurityUtil.log.error(Checker.static("诊硞讟丬伍斦仜一歒硉皨轑骰关[\u001f郄罈掹杼〶"));
                return false;
            }
        }
        return SecurityUtil.E;
    }
    
    public static Date getEndDate() {
        true();
        return SecurityUtil.r;
    }
    
    public static String getOS() {
        true();
        return SecurityUtil.k;
    }
    
    public static Date getStartDate() {
        true();
        return SecurityUtil.j;
    }
    
    public static List<Map<String, Object>> checkData(final String a) {
        List query = new ArrayList();
        if (a != null) {
            query = JdbcUtil.query(a);
        }
        return query;
    }
    
    public static void setUseSeparation(final Boolean a) {
        SecurityUtil.a = a;
    }
    
    protected static void exitSystem(final String a, boolean a, boolean a, final boolean a) {
        a = (int)LicenseInfo.getUploadPath();
        if (!SecurityUtil.O && !SecurityUtil.i) {
            protected(new File(SecurityUtil.SECURITY_PATH));
        }
        final File file = new File(new StringBuilder().insert(0, LicenseInfo.getUploadPath()).append(CoreVersion.licFileName).toString());
        final ClassPathResource classPathResource = new ClassPathResource(new StringBuilder().insert(0, CacheEntry.abstract("H\u001fm\u0012")).append(SecurityUtil.SF_FILE_SEPARATOR).append(CoreVersion.licFileName).toString());
        if (!file.exists() && classPathResource.exists() && SecurityUtil.i) {
            try {
                FileUtil.writeText(org.springframework.util.ResourceUtils.getFile(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH_DEV).append(SecurityUtil.SF_FILE_SEPARATOR).append(Checker.static("yJ\\\u0014U^@")).toString()), EncryptUtil.getFileSHA256(classPathResource.getFile()));
            }
            catch (final Exception ex) {}
        }
        final int n = (210 - ((String)a).length()) / 4;
        final StringBuilder sb;
        (sb = new StringBuilder()).append(CacheEntry.abstract("╫"));
        int i;
        int n2 = i = 0;
        while (i < ((String)a).length() + n) {
            final StringBuilder sb2 = sb;
            ++n2;
            sb2.append(Checker.static("┵"));
            i = n2;
        }
        sb.append(CacheEntry.abstract("╷"));
        final StringBuilder sb3;
        (sb3 = new StringBuilder()).append(Checker.static("┣"));
        int j;
        int n3 = j = 0;
        while (j < ((String)a).length() + n) {
            final StringBuilder sb4 = sb3;
            ++n3;
            sb4.append(CacheEntry.abstract("╥"));
            j = n3;
        }
        sb3.append(Checker.static("┯"));
        SecurityUtil.log.error(new StringBuilder().insert(0, "\r\n").append(a).append("\r\n").toString());
        boolean b;
        if ((SecurityUtil.O && SecurityUtil.Y == 100) || (!SecurityUtil.O && !SecurityUtil.i)) {
            SecurityUtil.log.error(new StringBuilder(CacheEntry.abstract("!\\\u0010\u001c|v \u0014n\u0013g\tc\u00120Wa\u000b=\u0015i\u0013cL(Uf\bu\u0018i@z\u000b=\u0007〿'lぱ1\u0005s\\s\u001ew\t`]n\u0003I9e\u0014W@{\rcL~\u0004k@c\u000e@?g ﹞Z&╾\u001d\u0011dn")).reverse().toString(), sb.toString(), a, Checker.static("┩\u0001&﹒彴剡甉识砾Ｎ") + SecurityUtil.RequstCode, sb3.toString());
            b = a;
        }
        else {
            SecurityUtil.log.error(new StringBuilder(CacheEntry.abstract("!\\\u0010\u001c|v \u0014n\u0013g\tc\u00120Wa\u000b=\u0015i\u0013cL(Uf\bu\u0018i@z\u000b=\u0007〿'lぱ1\u0005s\\s\u001ew\t`]n\u0003I9e\u0014W@{\rcL~\u0004k@c\u000e@?g ﹞Z&╾\u001d\u0011dn")).reverse().toString(), sb.toString(), Checker.static("syU\u0012]ZOC\u000eX_BHYXBc~\bsICI\u001b"), new StringBuilder().insert(0, CacheEntry.abstract("┈P!︥录到甤讛砞ｾ")).append(SecurityUtil.RequstCode).toString(), sb3.toString());
            final String static1 = Checker.static("q\u0014\u0017UZB");
            a = (int)new JSONObject();
            ((JSONObject)a).put(CacheEntry.abstract("c\u0015o\u0001"), (Object)static1);
            ((JSONObject)a).put(Checker.static("Y^[Q"), (Object)SecurityUtil.RequstCode);
            if (a) {
                a = (boolean)System.getProperty(CacheEntry.abstract("\u0015uSy\rr\u0001"));
                ((JSONObject)a).put(Checker.static("PG"), (Object)a);
            }
            ((JSONObject)a).put(CacheEntry.abstract("j\r"), (Object)Checker.static("OMc`BBN\u001cJ]"));
            ((JSONObject)a).put(CacheEntry.abstract("\fc\u000fd\u0005p\n"), (Object)CoreVersion.getFrameworkVersion());
            ((JSONObject)a).put(Checker.static("DCXD+{B^IXPZ"), (Object)CoreVersion.getVersion());
            System.setProperty(CacheEntry.abstract("\u001bz\u0016gS@-\u007f^i\u001fg\u0019{\tl\u0017"), Checker.static("J[]LQ"));
            ((UI)(a = (boolean)new UI((JSONObject)a, (boolean)SecurityUtil.O))).Entry();
            b = a;
        }
        if (b) {
            SpringContextHolder.shutDownContext();
        }
    }
    
    public static byte[] readByte(final InputStream a) {
        try {
            final byte[] copyToByteArray = FileCopyUtils.copyToByteArray(a);
            a.close();
            return copyToByteArray;
        }
        catch (final Exception ex) {
            SecurityUtil.log.error(ex.getLocalizedMessage());
            return null;
        }
    }
    
    public static synchronized void releaseTicket() {
        PropertyUtil.newInstance(Checker.static("GPX"));
        String s = PropertyUtil.getMsg(CacheEntry.abstract("\u001ai\u0011"), Checker.static("ETYIPU\u0002\\Nj#TIHGZF"));
        if (s != null) {
            if (!s.endsWith("/")) {
                s = new StringBuilder().insert(0, s).append("/").toString();
            }
            final JSONObject jsonObject;
            (jsonObject = new JSONObject()).put(CacheEntry.abstract("d\rj\t"), (Object)new StringBuilder().insert(0, SecurityUtil.J).append(SecurityUtil.b).toString());
            try {
                HussarHttpRequest.sendPost(new StringBuilder().insert(0, s).append("rpc/releaseTicket").toString(), jsonObject, SecurityUtil.U);
            }
            catch (final Exception ex) {}
        }
    }
    
    public static Boolean isTrial(final String a) {
        SecurityUtil.m = a;
        true();
        return SecurityUtil.O;
    }
    
    public static Boolean isDev(final String a) {
        if (StringUtils.isEmpty(SecurityUtil.c)) {
            SecurityUtil.m = a;
            true();
        }
        return SecurityUtil.i;
    }
    
    protected static Long getSiteLimit() {
        true();
        return SecurityUtil.Q;
    }
    
    public static boolean isVolLicense() {
        true();
        return SecurityUtil.h == 2;
    }
    
    private static /* synthetic */ boolean protected(final File a) {
        if (a.isDirectory()) {
            final String[] list = a.list();
            int n;
            int i = n = 0;
            while (i < list.length) {
                if (!protected(new File(a, list[n]))) {
                    return false;
                }
                i = ++n;
            }
        }
        return a.delete();
    }
    
    private static /* synthetic */ boolean const(final String a) {
        try {
            final PathMatchingResourcePatternResolver pathMatchingResourcePatternResolver2;
            final PathMatchingResourcePatternResolver pathMatchingResourcePatternResolver = pathMatchingResourcePatternResolver2 = new PathMatchingResourcePatternResolver();
            final Resource[] resources = ((ResourcePatternResolver)pathMatchingResourcePatternResolver).getResources(CacheEntry.abstract("d\u0010a\bh\u0010g\tcJF,v\u0011r\u0003\u007f\u0011x\u0005sHe\u001c`\u0007k\u0011"));
            final Resource[] resources2 = ((ResourcePatternResolver)pathMatchingResourcePatternResolver).getResources(Checker.static("\u001e\u001aaxEMQON\u0017CEUETXX@v#^W[LRX"));
            final Resource[] array = new Resource[resources.length + resources2.length];
            final Resource[] array2 = resources;
            final Resource[] array3 = array;
            final int n = 0;
            System.arraycopy(array2, n, array3, n, resources.length);
            System.arraycopy(resources2, 0, array, resources.length, resources2.length);
            if (array.length <= 0) {
                return false;
            }
            final String externalForm;
            if ((externalForm = array[0].getURL().toExternalForm()).startsWith(CacheEntry.abstract("z\u000em\u001f<R"))) {
                if (externalForm.contains("target/classes/application") || externalForm.contains("target/classes/bootstrap")) {
                    SecurityUtil.i = true;
                    return false;
                }
                SecurityUtil.log.warn(Checker.static("业阙歐郑罓稡廲裝恆愴篝攎Ｍ批匳吳盹\u0001G_匢另迪衽吱皰邕缄目彞专禼扻州俈攔Ｍ扡巟俟攞參胗寝臲最劆吃劒夀贚Ｕ"));
            }
            if (externalForm.startsWith(CacheEntry.abstract("{\u000bo\\z\u000em\u001f<R"))) {
                SecurityUtil.log.warn(Checker.static("乌阂歙郔罅稪庥袝恋慲算攟Ａ扴匩吴皵UU\u000f即内宲专禼扻州俈攔Ｍ扡巟俟攞參胗寝臲最劆吃劒夀贚Ｕ"));
            }
            final Resource[] resources3;
            if ((resources3 = ((ResourcePatternResolver)pathMatchingResourcePatternResolver2).getResources(CacheEntry.abstract("\tk\u001ds\bk\u0001r\u0015!JO)u\u000ez\u00121\u0001t\u001aq\teIh\u0014`\u0012"))).length <= 0) {
                return false;
            }
            final Resource resource;
            final InputStream openStream = (resource = resources3[0]).getURL().openStream();
            final OrderedProperties orderedProperties2;
            final OrderedProperties orderedProperties = orderedProperties2 = new OrderedProperties();
            final InputStream inputStream = openStream;
            orderedProperties.load(inputStream);
            inputStream.close();
            final Iterator<Map.Entry<Long, Long>> iterator = catch().entrySet().iterator();
            while (iterator.hasNext()) {
                final Map.Entry entry;
                final Long n2 = (Long)(entry = iterator.next()).getKey();
                final Long n3 = (Long)entry.getValue();
                final String binaryString = Long.toBinaryString(n2);
                final String binaryString2 = Long.toBinaryString(n3);
                if (!orderedProperties2.containsKey((Object)binaryString) || !orderedProperties2.getProperty(binaryString).equals(binaryString2)) {
                    SecurityUtil.log.warn(String.format(Checker.static("棧浧刚弣帾俣攞\tI\f\u001aG"), n2, n3));
                    SecurityUtil.log.error(CacheEntry.abstract("p\u0011梠浕剕邴罕稪廕袼怚愞箋放ｰ服勚吴勈夷赘＊}-讫佹畕扈卥稕廪扂卯吓醫斬邏罳ｻ\u000bw"));
                    return false;
                }
            }
            final InputStream openStream2 = resource.getURL().openStream();
            final String line;
            if ((line = new BufferedReader(new InputStreamReader(openStream2, "UTF-8")).readLine()).contains(Checker.static("\u0083"))) {
                final int beginIndex = line.indexOf(183) + 1;
                final String s = line;
                SecurityUtil.c = s.substring(beginIndex, s.lastIndexOf(183));
            }
            openStream2.close();
        }
        catch (final IOException ex) {
            exitSystem(CacheEntry.abstract("杪加彸帾ｼ"), false);
        }
        return true;
    }
    
    protected static String bytes2String(byte[] a) {
        try {
            if (EncryptUtil.hexEncode(ArrayUtils.subarray(a, 0, 3)).equals(Checker.static("BJXS]R"))) {
                final int startIndexInclusive = 3;
                final byte[] array = a;
                a = ArrayUtils.subarray(array, startIndexInclusive, array.length);
            }
            return new String(a, CacheEntry.abstract("\u0015h\u00018V"));
        }
        catch (final Exception ex) {
            SecurityUtil.log.error(ex.getLocalizedMessage());
            return null;
        }
    }
    
    public static Integer getLicenseType() {
        true();
        return SecurityUtil.h;
    }
    
    protected static Date getStartDateFromMap(final Map<String, String> a) {
        String string;
        if (StringUtils.isNotEmpty(string = a.get(CacheEntry.abstract("5k\u0005M0W\tv\u001c"))) && string.length() == "yyyy-MM-dd".length()) {
            string = new StringBuilder().insert(0, string).append(Checker.static("\u00016=\u001d\u001c\n\u000b\u000f\u0004")).toString();
        }
        return DateUtil.parseTime(string);
    }
    
    public static Integer getVisitLimit() {
        true();
        return SecurityUtil.Y;
    }
    
    public static void exitSystem(final String a, final boolean a) {
        final boolean b = true;
        exitSystem(a, a, b, b);
    }
    
    protected static synchronized void update() {
        try {
            if (!SecurityUtil.i && !check()) {
                throw new NoLicenseException(Checker.static("诛何甉步硣皣掤杹斶仉〶"));
            }
            File file = new File(new StringBuilder().insert(0, LicenseInfo.getUploadPath()).append(CoreVersion.licFileName).toString());
            if (SecurityUtil.O || SecurityUtil.i) {
                final ClassPathResource classPathResource;
                if (!(classPathResource = new ClassPathResource(new StringBuilder().insert(0, SecurityUtil.SF_FILE_SEPARATOR).append(CacheEntry.abstract("Y\u000ee\u001a")).append(SecurityUtil.SF_FILE_SEPARATOR).append(CoreVersion.licFileName).toString())).exists()) {
                    if (!(file = new File(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH_DEV).append(SecurityUtil.SF_FILE_SEPARATOR).append(CoreVersion.licFileName).toString())).exists()) {
                        throw new Exception(String.format(Checker.static("S\u0004Y掲杲诐攒罄圉持宗盉役\u0000\u0014LJ"), SecurityUtil.O ? CacheEntry.abstract("诂畄") : Checker.static("弿句"), CacheEntry.abstract("u\u000fh_J=o\u00134\u0012{\u0016h\tp\u001as\u001e<7u\u000faC")));
                    }
                }
                else {
                    final String fileSHA256 = EncryptUtil.getFileSHA256(file = classPathResource.getFile());
                    final File file2;
                    if ((file2 = org.springframework.util.ResourceUtils.getFile(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH_DEV).append(SecurityUtil.SF_FILE_SEPARATOR).append(Checker.static("yJ\\\u0014U^@")).toString())).exists() && StringUtils.equals(fileSHA256, FileUtils.readFileToString(file2, Charset.defaultCharset()))) {
                        throw new Exception(CacheEntry.abstract("揵杈讖惢髐诇奌贾ｬ夯赀厘嚜８弪剛揥材乥叩畕６L"));
                    }
                    FileUtils.deleteQuietly(new File(SecurityUtil.SECURITY_PATH_DEV));
                    FileUtils.copyToDirectory(file, new File(SecurityUtil.SECURITY_PATH_DEV));
                }
            }
            String s = new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(SecurityUtil.folderName).toString();
            if (SecurityUtil.O || SecurityUtil.i) {
                SecurityUtil.folderName = "";
                s = new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH_DEV).append(SecurityUtil.SF_FILE_SEPARATOR).append(SecurityUtil.folderName).toString();
            }
            final String string = new StringBuilder().insert(0, s).append(SecurityUtil.SF_FILE_SEPARATOR).append(Checker.static("SA\u0014U^@")).toString();
            final String string2 = new StringBuilder().insert(0, s).append(SecurityUtil.SF_FILE_SEPARATOR).append(CacheEntry.abstract("\u0010k\u001as\u0003`\r(\u0019v\u0018")).toString();
            final String string3 = new StringBuilder().insert(0, s).append(SecurityUtil.SF_FILE_SEPARATOR).append(Checker.static("\u0014U^@")).toString();
            final String string4 = new StringBuilder().insert(0, s).append(SecurityUtil.SF_FILE_SEPARATOR).append(CacheEntry.abstract("t\u0019a\fd\u0004g\u0011(\u001ee\u0018")).toString();
            final File file3 = new File(string);
            if (file.exists()) {
                if (StringUtils.isNotBlank(CoreVersion.licCusHeader)) {
                    SecurityUtil.hussar_header = new String(SecurityUtil.hussar_header, "UTF-8").replaceAll("[\\u4E00-\\u9FA5A-Za-z0-9_-]+", CoreVersion.licCusHeader).getBytes("UTF-8");
                }
                final Map fileToMap;
                final byte[] a2 = (fileToMap = new RandomFileUtil(file, SecurityUtil.hussar_header.length).fileToMap()).get(Checker.static("@CBccTI\u0014U^@"));
                final byte[] array = fileToMap.get(CacheEntry.abstract("g\u0005(\u0019v\u0018"));
                final byte[] array2 = fileToMap.get(Checker.static("TIITtdSU\u0014RM@"));
                byte[] bytes = new byte[0];
                if (new File(string2).exists()) {
                    bytes = readText(new FileInputStream(org.springframework.util.ResourceUtils.getFile(string2))).replaceAll(CacheEntry.abstract("!dG"), "").trim().getBytes();
                }
                final boolean equals;
                if (!(equals = Arrays.equals(bytes, a2))) {
                    EncryptUtil.byteArrayToFile(a2, string2);
                }
                byte[] array3 = null;
                Label_0834: {
                    if (file3.exists()) {
                        if (!SecurityUtil.O && !SecurityUtil.i) {
                            if (!equals) {
                                EncryptUtil.byteArrayToFile(array3 = array, string);
                                break Label_0834;
                            }
                        }
                        else if (!equals) {
                            EncryptUtil.byteArrayToFile(array3 = array, string);
                            break Label_0834;
                        }
                    }
                    else {
                        EncryptUtil.byteArrayToFile(array, string);
                    }
                    array3 = array;
                }
                EncryptUtil.byteArrayToFile(array3, string3);
                EncryptUtil.byteArrayToFile(array2, string4);
                SecurityUtil.s = new String(EncryptUtil.Base64Encode(readByte(new FileInputStream(org.springframework.util.ResourceUtils.getFile(string4)))));
            }
            if (!new File(string2).exists()) {
                throw new NoLicenseException(CacheEntry.abstract("變硥诔K5e\u0018u\u0013{Kc\u001dv旾仠時吵裃诩剝陳ｭ"));
            }
            final byte[] hexDecode = EncryptUtil.hexDecode(readText(new FileInputStream(org.springframework.util.ResourceUtils.getFile(string2))).replaceAll(Checker.static("mL\u001f"), "").trim());
            if (!file3.exists()) {
                throw new NoLicenseException(CacheEntry.abstract("诱砓访\u0014sKc\u001dv旾仠時吵裃诩剝陳ｭ"));
            }
            byte[] hexDecode2 = EncryptUtil.hexDecode(readText(new FileInputStream(file3)));
            final String s2;
            if ((s2 = new String(EncryptUtil.Base64Decode(new String(hexDecode2).getBytes()))).trim().length() == 0 || !s2.contains("=")) {
                file3.delete();
                SecurityUtil.log.error(Checker.static("0:掳来斪仗捵坵］诐就诿釬吩顴盉恎夷Ｐ2>"));
                SpringContextHolder.shutDownContext();
            }
            final Date endDateFromMap = getEndDateFromMap(StrKit.splitToMapx(s2, CacheEntry.abstract("W"), "="));
            final File file4;
            if (!(file4 = new File(string3)).exists()) {
                throw new NoLicenseException(Checker.static("诖硄讞\u001fCM^斦仰昢吁袇试刑陛Ｕ"));
            }
            final byte[] hexDecode3 = EncryptUtil.hexDecode(readText(new FileInputStream(file4)).replaceAll(Checker.static("mL\u001f"), "").trim());
            if (DateUtil.compareDate(endDateFromMap, getEndDateFromMap(StrKit.splitToMapx(new String(EncryptUtil.Base64Decode(new String(hexDecode3).getBytes())), CacheEntry.abstract("W"), "="))) < 0) {
                hexDecode2 = hexDecode3;
            }
            if (!new File(string4).exists()) {
                throw new NoLicenseException(Checker.static("请硥讒NUXS_H^C\u001fD^^斦仰昢吁袇试刑陛Ｕ"));
            }
            SecurityUtil.s = new String(EncryptUtil.Base64Encode(readByte(new FileInputStream(org.springframework.util.ResourceUtils.getFile(string4)))));
            final byte[] base64Decode = EncryptUtil.Base64Decode(new String(hexDecode).getBytes());
            final byte[] base64Decode2 = EncryptUtil.Base64Decode(new String(hexDecode2).getBytes());
            final String s3 = new String(decrypt(base64Decode, SecurityUtil.s));
            final String s4 = new String(base64Decode2);
            final Map splitToMapx;
            SecurityUtil.c = StrKit.unicodeToString((String)(splitToMapx = StrKit.splitToMapx(s3, CacheEntry.abstract("W"), "=")).get(Checker.static("tPRQ")));
            SecurityUtil.h = Integer.valueOf((String)splitToMapx.get(CacheEntry.abstract("=a\u0007b\bt\u0018")));
            SecurityUtil.e = Long.parseLong((String)splitToMapx.get(Checker.static("tuhU`S\\V@")));
            SecurityUtil.Q = Long.parseLong((String)splitToMapx.get(CacheEntry.abstract("*\u007f\u0019v$o\u0010~\u0018")));
            SecurityUtil.B = (String)splitToMapx.get(Checker.static("eUnhU`S\\V@"));
            SecurityUtil.f = (String)splitToMapx.get(CacheEntry.abstract("O\u0018u,w\ft\u0018d\u001f"));
            SecurityUtil.l = (String)splitToMapx.get(Checker.static("b@tiPMHTvp"));
            final String k;
            if ((k = splitToMapx.get(CacheEntry.abstract("\\;O3Q#"))) != null && !k.equals(Checker.static("TDSX"))) {
                SecurityUtil.k = k;
            }
            final Map splitToMapx2 = StrKit.splitToMapx(s4, CacheEntry.abstract("W"), "=");
            final Map map = splitToMapx;
            SecurityUtil.j = getStartDateFromMap(map);
            SecurityUtil.r = getEndDateFromMap(map);
            Map map4;
            if (SecurityUtil.i) {
                if (SecurityUtil.h != 3 && SecurityUtil.h != 6) {
                    throw new NoLicenseException(new StringBuilder().insert(0, Checker.static("變伉用歨硘皹掸杸斡仛〣役剷下弧叽樋弮＊掅杤斫仌下\u0005\u0014")).append((SecurityUtil.h == 1) ? CacheEntry.abstract("郮缏掟术") : ((SecurityUtil.h == 5) ? Checker.static("扩匴掷杷") : SecurityUtil.h)).toString());
                }
                if (SecurityUtil.A && Boolean.getBoolean("hussar.internet.status")) {
                    final String string5;
                    final String md5Digest = EncryptUtil.md5Digest(string5 = Long.toString(System.nanoTime()));
                    final JSONObject jsonObject;
                    (jsonObject = new JSONObject()).put(CacheEntry.abstract("u\u001c{\u0018"), (Object)string5);
                    jsonObject.put(Checker.static("VD"), (Object)SystemInfo.getIpAddr());
                    jsonObject.put(CacheEntry.abstract("c\u001ev\u001aH\u001cz\t"), (Object)SecurityUtil.c);
                    jsonObject.put(Checker.static("^OPshTXy^[Q"), (Object)SecurityUtil.RequstCode);
                    final String string6 = new StringBuilder().insert(0, SecurityUtil.D).append(CacheEntry.abstract("st\u0018m\u000fu\u0000c?j\u001cu\u0006<\u000bn\u0018t\u0007")).toString();
                    jsonObject.put(Checker.static("NHOQ"), (Object)CacheEntry.abstract("t\rr\u0014d\u001c"));
                    final JSONObject sendPost = HussarHttpRequest.sendPost(string6, jsonObject, md5Digest);
                    if (sendPost.containsKey((Object)Checker.static("UIYQicTIy^[Q"))) {
                        final JSONObject jsonObject2 = sendPost;
                        final Integer integer = jsonObject2.getInteger(CacheEntry.abstract("u\u0019q\ty\u0003`\rE\u0012s\t"));
                        final String string7 = jsonObject2.getString(Checker.static("IPS@"));
                        if (integer == 417 || integer == 424 || integer == 426) {
                            SecurityUtil.log.info(sendPost.getString(CacheEntry.abstract("\u0000v\u001bu\u001cp\t")));
                        }
                        else {
                            final String string8;
                            if (integer == 200 && string5.equals(string7) && StringUtils.isNotBlank(string8 = sendPost.getString(Checker.static("^PKU")))) {
                                jsonObject.put(CacheEntry.abstract("\u0007s\t^<"), (Object)HussarHttpRequest.getOutIPV4(string8));
                            }
                        }
                        final Properties properties = System.getProperties();
                        final Map map2 = splitToMapx;
                        final String s5 = ".a\rg\tr\u001e";
                        properties.put(Checker.static("|(%SJdbb~ebsnebsmxuY@b\u007fipxq"), CacheEntry.abstract("r\u000fb\t"));
                        jsonObject.put(Checker.static("YXuyBAs_Y["), (Object)SM4Util.encrypt(JSON.toJSONString((Object)SystemUtils.getSystemInfo()), md5Digest));
                        jsonObject.put(CacheEntry.abstract("r\u0004g\t"), (Object)Checker.static("UI\\NmhCoRT\\_"));
                        final String anObject;
                        if (StringUtils.isNotEmpty(anObject = map2.get(CacheEntry.abstract(s5))) && !Checker.static("TDSX").equals(anObject)) {
                            jsonObject.put(CacheEntry.abstract("r\u0004g\t"), (Object)Checker.static("XHPVX"));
                        }
                        final JSONObject sendPost2;
                        if ((sendPost2 = HussarHttpRequest.sendPost(string6, jsonObject, md5Digest)).containsKey((Object)CacheEntry.abstract("u\u0019q\ty\u0003`\rE\u0012s\t"))) {
                            final JSONObject jsonObject3 = sendPost2;
                            final Integer integer2 = jsonObject3.getInteger(Checker.static("UIYQicTIy^[Q"));
                            final String string9 = jsonObject3.getString(CacheEntry.abstract("u\u001c{\u0018"));
                            if (integer2 == 200 && string5.equals(string9)) {
                                final Map splitToMapx3;
                                if (!(splitToMapx3 = StrKit.splitToMapx(SM4Util.decrypt(sendPost2.getString(Checker.static("^PKU")), md5Digest), CacheEntry.abstract("W"), "=")).containsKey(Checker.static("s~B^tPRQ")) || !splitToMapx3.containsKey(CacheEntry.abstract("*b\fa\u001cB\u001cc\t")) || !splitToMapx3.containsKey(Checker.static("HIH~PKQ")) || !splitToMapx3.containsKey(CacheEntry.abstract("<i\u0016r\u0002"))) {
                                    throw new Exception(CacheEntry.abstract("掎朾俺怏骒认夶赙\u000fs，揥材来劧嘕引幔"));
                                }
                                if (!md5Digest.equals(splitToMapx3.get(Checker.static("xUZZZ")))) {
                                    throw new Exception(new StringBuilder().insert(0, CacheEntry.abstract("掎朾O\u000fu\u0000i髰诃奈贳`\u0019镱诩罫砖ｶ")).append(Integer.toString(HttpStatus.INTERNAL_SERVER_ERROR.value())).append(Checker.static("＊掅杤朡力噙弽希")).toString());
                                }
                                final String cs1 = splitToMapx3.get(CacheEntry.abstract("c\u001ev\u001aH\u001cz\t"));
                                final Map map3 = splitToMapx3;
                                final Date startDateFromMap = getStartDateFromMap(map3);
                                final Date endDateFromMap2 = getEndDateFromMap(map3);
                                if (!StringUtils.equals(cs1, SecurityUtil.c) || !DateUtils.isSameDay(startDateFromMap, SecurityUtil.j) || !DateUtils.isSameDay(endDateFromMap2, SecurityUtil.r)) {
                                    throw new Exception(Checker.static("掹杼诒悸髺证夺贓Ｑ夁贞厹囍［冧欛甂诐＠厬叓掎李斠仚佦庮＾\u0014"));
                                }
                            }
                            else {
                                if (integer2 == 417) {
                                    throw new Exception(new StringBuilder().insert(0, CacheEntry.abstract("弳剓揭杄髰诃奈贳`\u0019镱诩罫砖ｶ")).append(Integer.toString(integer2)).append(Checker.static("Ｘ")).append(sendPost2.getString(Checker.static("`B_IPXQ"))).toString());
                                }
                                if (integer2 == 426) {
                                    throw new Exception(new StringBuilder().insert(0, Checker.static("役剷掹杤骠诫夐责\u0000-锵试缧砾Ｎ")).append(Integer.toString(integer2)).append(CacheEntry.abstract("｠")).append(sendPost2.getString(CacheEntry.abstract("\u0000v\u001bu\u001cp\t"))).toString());
                                }
                                throw new Exception(new StringBuilder().insert(0, Checker.static("接杢y[]S骠诫夐责\u0000-锵试缧砾Ｎ")).append(Integer.toString(integer2)).toString());
                            }
                        }
                    }
                }
                RLInterceptor.resetCount(SecurityUtil.Y = Integer.MAX_VALUE);
                map4 = splitToMapx;
            }
            else {
                if (SecurityUtil.h == 3 || SecurityUtil.h == 6) {
                    throw new NoLicenseException(CacheEntry.abstract("开厪4讵甮揵杈亵兦诤圮彽及橁弑会甯ｰ郪缋诡伒画邀罴揵杔ｭ"));
                }
                map4 = splitToMapx;
            }
            if (map4.containsKey(Checker.static("[B^IXPZ"))) {
                final String s6;
                if ((s6 = splitToMapx.get(CacheEntry.abstract(";v\u001au\u0014x\u0002"))) != null && !Checker.static("TDSX").equals(s6) && !s6.equals(CoreVersion.getLicenseVersion())) {
                    final String anObject2 = splitToMapx.get(CacheEntry.abstract(".a\rg\tr\u001e"));
                    throw new Exception(new StringBuilder().insert(0, Checker.static("! \u0001,彞剪掤杹斶仉与")).append((CacheEntry.abstract("h\b{\u0000").equals(anObject2) || anObject2 == null) ? "" : anObject2).append(Checker.static("宻刜匬特朋掤杩\u0001phU_S^Q\t")).append(s6).append(CacheEntry.abstract("\u000bw+Z彴刑稍廲牓杌>\u0006h\u000egT`\ba\u001bo\u0012yQ")).append(CoreVersion.getLicenseVersion()).append(Checker.static("7;\u0007\u0006探杢丈稆庨牤朖丼匆酹")).toString());
                }
                if (splitToMapx.containsKey(CacheEntry.abstract("P;v\u001au\u0014x\u0002"))) {
                    final String anObject3 = splitToMapx.get(Checker.static("@[B^IXPZ"));
                    final String frameworkVersion = CoreVersion.getFrameworkVersion();
                    if (anObject3 != null && !CacheEntry.abstract("h\b{\u0000").equals(anObject3)) {
                        final Matcher matcher;
                        if (!(matcher = CoreVersion.getVersionPatern().matcher(frameworkVersion)).matches()) {
                            throw new Exception(Checker.static("\u0006<\u001d宪刍匰牥服探杹丼又掤亢靿宜刻匱牤朖稺庰Ｕ"));
                        }
                        if (!anObject3.contains(matcher.group(1))) {
                            throw new Exception(new StringBuilder().insert(0, CacheEntry.abstract("q\n[宁剖匐爵朧揸杤乑叩揵亓霾宄剓匑爴朮穲庙ｬ彀別牎村中ｶ")).append(frameworkVersion).toString());
                        }
                    }
                }
            }
            Map a3;
            if (SecurityUtil.h == 1) {
                a3 = splitToMapx2;
                final int i = Integer.MAX_VALUE;
                final Map map5 = splitToMapx;
                SecurityUtil.j = getStartDateFromMap(map5);
                SecurityUtil.r = getEndDateFromMap(map5);
                SecurityUtil.Y = i;
            }
            else if ((SecurityUtil.O && SecurityUtil.h == 6) || (SecurityUtil.i && SecurityUtil.h == 3)) {
                final Map map6 = splitToMapx;
                SecurityUtil.j = getStartDateFromMap(map6);
                SecurityUtil.r = getEndDateFromMap(map6);
                if (DateUtil.getDiffYear(SecurityUtil.j, SecurityUtil.r) > 0) {
                    SecurityUtil.r = DateUtil.addYear(SecurityUtil.j, 1);
                }
                (a3 = splitToMapx2).put(Checker.static("utdF@~PKQ"), DateUtil.getDay(SecurityUtil.r));
            }
            else {
                if (SecurityUtil.i && SecurityUtil.h == 6) {
                    throw new Exception(CacheEntry.abstract("弳剋揵杈旷仑书诓畕掓朣２霻诒畔玭壺诡畞诤彨受揵杔の"));
                }
                if (SecurityUtil.O && SecurityUtil.h == 3) {
                    throw new Exception(Checker.static("彿剷掹杼旔攵ｺ试産玙墾霰佄甎诸甉探杹］彴剡探杢斁任丝弬叫掹杼〶"));
                }
                if (SecurityUtil.O && SecurityUtil.h != 6) {
                    throw new Exception(new StringBuilder().insert(0, CacheEntry.abstract("弶刑玈墢习诂畄玾壩＋援权乵玴壣下卄酆ｼ掯期旦攵〙@彍刨掏朿丸｣F\u001f|\fs\u001ecQ")).append(SecurityUtil.h).toString());
                }
                SecurityUtil.j = DateUtil.parse(DateUtil.getDay(), "yyyy-MM-dd");
                SecurityUtil.r = DateUtil.addWeek(SecurityUtil.j, 1);
                final boolean containsKey = splitToMapx2.containsKey(Checker.static("utdF@~PKQ"));
                final Map map7 = splitToMapx2;
                if (containsKey) {
                    SecurityUtil.r = DateUtil.parse((String)map7.get(CacheEntry.abstract("-d\u0004r\u0004B\u001cc\t")), "yyyy-MM-dd");
                    a3 = splitToMapx2;
                }
                else {
                    map7.put(Checker.static("utdF@~PKQ"), DateUtil.getDay(SecurityUtil.r));
                    a3 = splitToMapx2;
                }
            }
            final Date startDateFromMap2 = getStartDateFromMap(a3);
            final Date endDateFromMap3 = getEndDateFromMap(splitToMapx2);
            final long currentTimeMillis = System.currentTimeMillis();
            if (!(SecurityUtil.isLicenseValidity = (SecurityUtil.r.getTime() > currentTimeMillis && SecurityUtil.j.getTime() < currentTimeMillis))) {
                exitSystem(new StringBuilder().insert(0, CacheEntry.abstract("畛诱硼－e")).append(SecurityUtil.RequstCode).append(Checker.static("\u000b\u0007類盂吷私Ｅ=")).append(SecurityUtil.c).append(CacheEntry.abstract("\u001bg讫厇籽埶－e")).append((SecurityUtil.h == 1) ? Checker.static("郒罃玐墷") : CacheEntry.abstract("弆厬玸壯")).append(Checker.static("\u000b\u0007掯杯旌闅Ｅ=")).append(DateUtil.format(SecurityUtil.j, "yyyy-MM-dd")).append(CacheEntry.abstract("]iL")).append(DateUtil.format(SecurityUtil.r, "yyyy-MM-dd")).append(Checker.static(":+'<彮到粍绹旛闓両園掹杼旂閉卌间冎Ｚ诊棰柞糝绲旗闞昕吗袌篍攓Ｍ成釀斗生词掹杼〶")).toString(), SecurityUtil.a);
                return;
            }
            SecurityUtil.isLicenseValidity &= ((SecurityUtil.h == 1 || SecurityUtil.h == 3) ? SystemInfo.checkMacAndCpu(SecurityUtil.f, SecurityUtil.l) : SecurityUtil.isLicenseValidity);
            final String s7 = "\u007fXBk\u0019\u0012B^OD\u001cQK\u0006.\u0002G_Sh[EZ\t\u0006\u000b;NXYtZRH\u001cQG\ns^C@jIFX_\fDI";
            splitToMapx2.put(CacheEntry.abstract("*b\fa\u001cB\u001cc\t"), DateUtil.format(new Date(), "yyyy-MM-dd"));
            FileUtil.writeText(org.springframework.util.ResourceUtils.getFile(file3.getAbsolutePath()), EncryptUtil.hexEncode(EncryptUtil.Base64Encode(StrKit.format(Checker.static(s7), new Object[] { splitToMapx2.get(CacheEntry.abstract("O\u0018u,w\ft\u0018d\u001f")), splitToMapx2.get(Checker.static("rrlUX~PKQ")), splitToMapx2.get(CacheEntry.abstract("(}\fB\u001cc\t")), splitToMapx2.get(Checker.static("utdF@~PKQ")) }).getBytes())));
            if (!SecurityUtil.isLicenseValidity) {
                exitSystem(new StringBuilder().insert(0, CacheEntry.abstract("畛诱硼－e")).append(SecurityUtil.RequstCode).append(Checker.static("\u000b\u0007類盂吷私Ｅ=")).append(SecurityUtil.c).append(CacheEntry.abstract("\u001bg讫厇籽埶－e")).append((SecurityUtil.h == 1) ? Checker.static("郒罃玐墷") : CacheEntry.abstract("弆厬玸壯")).append(Checker.static("\u000b\u0007掯杯旌闅Ｅ=")).append(DateUtil.format(SecurityUtil.j, "yyyy-MM-dd")).append(CacheEntry.abstract("]iL")).append(DateUtil.format(SecurityUtil.r, "yyyy-MM-dd")).append("\r\n").toString(), SecurityUtil.a);
                return;
            }
            if (!(SecurityUtil.isDateTimeValidity = (endDateFromMap3.getTime() > currentTimeMillis && startDateFromMap2.getTime() < currentTimeMillis))) {
                exitSystem(Checker.static("诐棬柏糚给旻闓昃吜袚篞攍"), SecurityUtil.a);
            }
        }
        catch (final NoLicenseException ex) {
            class();
            exitSystem(new StringBuilder().insert(0, CacheEntry.abstract("靕揸杤廈甮斝泎欃带告劯ｰ诵畊诡欎弜揠杅ｼ\u001af")).append(ex.getMessage()).toString(), SecurityUtil.a, true, false);
        }
        catch (final Exception ex2) {
            exitSystem(ex2.getLocalizedMessage(), SecurityUtil.a);
        }
    }
    
    public static boolean isLicenseValidity(final String a, final boolean a) {
        if (SecurityUtil.O) {}
        SecurityUtil.m = a;
        SecurityUtil.a = a;
        true();
        return SecurityUtil.isLicenseValidity;
    }
    
    public static String readText(final InputStream a) {
        // 
        // This method could not be decompiled.
        // 
        // Original Bytecode:
        // 
        //     1: invokestatic    com/jxdinfo/hussar/core/util/SecurityUtil.readByte:(Ljava/io/InputStream;)[B
        //     4: dup            
        //     5: astore_1       
        //     6: iconst_0       
        //     7: iconst_3       
        //     8: invokestatic    org/apache/commons/lang3/ArrayUtils.subarray:([BII)[B
        //    11: invokestatic    com/jxdinfo/hussar/core/util/EncryptUtil.hexEncode:([B)Ljava/lang/String;
        //    14: ldc_w           "BJXS]R"
        //    17: invokestatic    com/jxdinfo/hussar/core/util/Checker.static:(Ljava/lang/String;)Ljava/lang/String;
        //    20: invokevirtual   java/lang/String.equals:(Ljava/lang/Object;)Z
        //    23: ifeq            34
        //    26: iconst_3       
        //    27: aload_1        
        //    28: dup_x1         
        //    29: arraylength    
        //    30: invokestatic    org/apache/commons/lang3/ArrayUtils.subarray:([BII)[B
        //    33: astore_1       
        //    34: new             Ljava/lang/String;
        //    37: dup            
        //    38: aload_1        
        //    39: ldc_w           "\u0019~\u0017+E"
        //    42: invokestatic    com/jxdinfo/hussar/core/cache/CacheEntry.abstract:(Ljava/lang/String;)Ljava/lang/String;
        //    45: invokespecial   java/lang/String.<init>:([BLjava/lang/String;)V
        //    48: astore_2       
        //    49: aload_0         /* a */
        //    50: ifnull          75
        //    53: aload_0         /* a */
        //    54: invokevirtual   java/io/InputStream.close:()V
        //    57: aconst_null    
        //    58: astore_0        /* a */
        //    59: aload_2        
        //    60: areturn        
        //    61: athrow         
        //    62: astore_3       
        //    63: getstatic       com/jxdinfo/hussar/core/util/SecurityUtil.log:Lorg/slf4j/Logger;
        //    66: aload_3        
        //    67: invokevirtual   java/io/IOException.getLocalizedMessage:()Ljava/lang/String;
        //    70: invokeinterface org/slf4j/Logger.error:(Ljava/lang/String;)V
        //    75: aload_2        
        //    76: areturn        
        //    77: athrow         
        //    78: astore_1       
        //    79: getstatic       com/jxdinfo/hussar/core/util/SecurityUtil.log:Lorg/slf4j/Logger;
        //    82: aload_1        
        //    83: invokevirtual   java/lang/Exception.getLocalizedMessage:()Ljava/lang/String;
        //    86: invokeinterface org/slf4j/Logger.error:(Ljava/lang/String;)V
        //    91: aload_0         /* a */
        //    92: ifnull          153
        //    95: aload_0         /* a */
        //    96: invokevirtual   java/io/InputStream.close:()V
        //    99: aconst_null    
        //   100: astore_0        /* a */
        //   101: goto            153
        //   104: astore_1       
        //   105: getstatic       com/jxdinfo/hussar/core/util/SecurityUtil.log:Lorg/slf4j/Logger;
        //   108: aload_1        
        //   109: invokevirtual   java/io/IOException.getLocalizedMessage:()Ljava/lang/String;
        //   112: invokeinterface org/slf4j/Logger.error:(Ljava/lang/String;)V
        //   117: goto            153
        //   120: astore          4
        //   122: aload_0         /* a */
        //   123: ifnull          150
        //   126: aload_0         /* a */
        //   127: invokevirtual   java/io/InputStream.close:()V
        //   130: aconst_null    
        //   131: astore_0        /* a */
        //   132: aload           4
        //   134: goto            152
        //   137: astore_1       
        //   138: getstatic       com/jxdinfo/hussar/core/util/SecurityUtil.log:Lorg/slf4j/Logger;
        //   141: aload_1        
        //   142: invokevirtual   java/io/IOException.getLocalizedMessage:()Ljava/lang/String;
        //   145: invokeinterface org/slf4j/Logger.error:(Ljava/lang/String;)V
        //   150: aload           4
        //   152: athrow         
        //   153: aconst_null    
        //   154: areturn        
        //    StackMapTable: 00 0C FC 00 22 07 00 FA FF 00 1A 00 00 00 01 07 00 F9 FF 00 00 00 03 07 02 BB 07 00 FA 07 00 C4 00 01 07 01 77 0C FF 00 01 00 00 00 01 07 00 F9 FF 00 00 00 01 07 02 BB 00 01 07 01 08 FF 00 19 00 02 07 02 BB 07 01 08 00 01 07 01 77 FF 00 0F 00 01 07 02 BB 00 01 07 00 F9 FF 00 10 00 05 07 02 BB 00 00 00 07 00 F9 00 01 07 01 77 0C 41 07 00 F9 FF 00 00 00 02 07 02 BB 07 01 08 00 00
        //    Exceptions:
        //  Try           Handler
        //  Start  End    Start  End    Type                 
        //  -----  -----  -----  -----  ---------------------
        //  53     59     62     75     Ljava/io/IOException;
        //  0      49     78     120    Ljava/lang/Exception;
        //  95     101    104    120    Ljava/io/IOException;
        //  0      49     120    153    Any
        //  78     91     120    153    Any
        //  126    132    137    150    Ljava/io/IOException;
        //  120    122    120    153    Any
        // 
        // The error that occurred was:
        // 
        // java.lang.IllegalStateException: Inconsistent stack size at #0152 (coming from #0134).
        //     at com.strobel1.decompiler.ast.AstBuilder.performStackAnalysis(AstBuilder.java:2237)
        //     at com.strobel1.decompiler.ast.AstBuilder.build(AstBuilder.java:108)
        //     at com.strobel1.decompiler.languages.java.ast.AstMethodBodyBuilder.createMethodBody(AstMethodBodyBuilder.java:203)
        //     at com.strobel1.decompiler.languages.java.ast.AstMethodBodyBuilder.createMethodBody(AstMethodBodyBuilder.java:93)
        //     at com.strobel1.decompiler.languages.java.ast.AstBuilder.createMethodBody(AstBuilder.java:868)
        //     at com.strobel1.decompiler.languages.java.ast.AstBuilder.createMethod(AstBuilder.java:761)
        //     at com.strobel1.decompiler.languages.java.ast.AstBuilder.addTypeMembers(AstBuilder.java:638)
        //     at com.strobel1.decompiler.languages.java.ast.AstBuilder.createTypeCore(AstBuilder.java:605)
        //     at com.strobel1.decompiler.languages.java.ast.AstBuilder.createTypeNoCache(AstBuilder.java:195)
        //     at com.strobel1.decompiler.languages.java.ast.AstBuilder.createType(AstBuilder.java:162)
        //     at com.strobel1.decompiler.languages.java.ast.AstBuilder.addType(AstBuilder.java:137)
        //     at com.strobel1.decompiler.languages.java.JavaLanguage.buildAst(JavaLanguage.java:71)
        //     at com.strobel1.decompiler.languages.java.JavaLanguage.decompileType(JavaLanguage.java:59)
        //     at com.strobel1.decompiler.DecompilerDriver.decompileType(DecompilerDriver.java:334)
        //     at com.strobel1.decompiler.DecompilerDriver.main(DecompilerDriver.java:147)
        //     at javare.DeMain.runProcyon(DeMain.java:110)
        //     at javare.DeMain.run(DeMain.java:60)
        //     at javare.DeMain.main(DeMain.java:32)
        //     at client.ClassConsumer.processMessage(ClassConsumer.java:108)
        //     at client.ClassConsumer.lambda$0(ClassConsumer.java:76)
        //     at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:572)
        //     at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:317)
        //     at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1144)
        //     at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:642)
        //     at java.base/java.lang.Thread.run(Thread.java:1570)
        // 
        throw new IllegalStateException("An error occurred while decompiling this method.");
    }
    
    protected static String getName() {
        true();
        return SecurityUtil.c;
    }
    
    private static /* synthetic */ void this() {
        SecurityUtil.h = 5;
        SecurityUtil.Y = Integer.MAX_VALUE;
        SecurityUtil.j = DateUtil.parse(DateUtil.getDay(), "yyyy-MM-dd");
        SecurityUtil.r = DateUtil.addYear(SecurityUtil.j, 100);
        SecurityUtil.e = 20000L;
        SecurityUtil.Q = 0L;
        SecurityUtil.B = "0";
        final long currentTimeMillis = System.currentTimeMillis();
        SecurityUtil.isLicenseValidity = (SecurityUtil.r.getTime() > currentTimeMillis && SecurityUtil.j.getTime() < currentTimeMillis);
    }
    
    private static /* synthetic */ void throws(final boolean a) {
        final File file = new File(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(CacheEntry.abstract("w\t}\u0000h\u000e\u007fOd\u001aiHq\u0013qJ")).toString());
        final File file2 = new File(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(Checker.static("XG\u000fblS\u0002N\\O\u0004")).toString());
        final File file3 = new File(new StringBuilder().insert(0, SecurityUtil.SECURITY_PATH).append(SecurityUtil.SF_FILE_SEPARATOR).append(CacheEntry.abstract("\u000e~\u0003k\u0017o\tcOc\tiHq\u0013qJ")).toString());
        if (file.exists()) {
            file.delete();
        }
        if (file2.exists()) {
            file2.delete();
        }
        if (file3.exists()) {
            file3.delete();
        }
        if (!a) {
            SecurityUtil.folderName = "";
        }
    }
    
    protected static boolean checkLicenseValidity() {
        true();
        return SecurityUtil.isLicenseValidity;
    }
    
    public static Boolean getUseSeparation() {
        return SecurityUtil.a;
    }
    
    public static String getMac() {
        true();
        return SecurityUtil.f;
    }
    
    @Deprecated
    private static /* synthetic */ void class() {
        SecurityUtil.c = "(No License)";
        SecurityUtil.h = 0;
        SecurityUtil.e = 10L;
        SecurityUtil.Q = 0L;
        SecurityUtil.B = "0";
        SecurityUtil.Y = 100;
        SecurityUtil.O = true;
        SecurityUtil.j = DateUtil.parse(DateUtil.getDay(), "yyyy-MM-dd");
        SecurityUtil.r = DateUtil.addDay(SecurityUtil.j, 1);
        final long currentTimeMillis = System.currentTimeMillis();
        SecurityUtil.isLicenseValidity = (SecurityUtil.r.getTime() > currentTimeMillis && SecurityUtil.j.getTime() < currentTimeMillis);
    }
    
    private static /* synthetic */ void byte() {
        if (SecurityUtil.i) {
            SecurityUtil.RequstCode = new StringBuilder().insert(0, Checker.static("r\u001c\f\u0019")).append(StringUtils.removeStart(SecurityUtil.RequstCode, "Y-")).toString();
            return;
        }
        SecurityUtil.RequstCode = new StringBuilder().insert(0, CacheEntry.abstract("NP&A")).append(StringUtils.removeStart(SecurityUtil.RequstCode, "Y-")).toString();
    }
    
    protected static byte[] decrypt(final byte[] a, String a2) {
        try {
            a2 = (String)(Object)EncryptUtil.Base64Decode(a2.getBytes());
            final PKCS8EncodedKeySpec keySpec = new PKCS8EncodedKeySpec((byte[])(Object)a2);
            final KeyFactory instance = KeyFactory.getInstance(Checker.static("clu"));
            final PrivateKey generatePrivate = instance.generatePrivate(keySpec);
            final Cipher instance2 = Cipher.getInstance(instance.getAlgorithm());
            instance2.init(2, generatePrivate);
            final int length = a.length;
            final ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            int inputOffset = 0;
            int n = 0;
            int n2 = length;
            while (n2 - inputOffset > 0) {
                byte[] array;
                ByteArrayOutputStream byteArrayOutputStream2;
                if (length - inputOffset > 128) {
                    array = instance2.doFinal(a, inputOffset, 128);
                    byteArrayOutputStream2 = byteArrayOutputStream;
                }
                else {
                    final Cipher cipher = instance2;
                    final int n3 = length;
                    final int inputOffset2 = inputOffset;
                    array = cipher.doFinal(a, inputOffset2, n3 - inputOffset2);
                    byteArrayOutputStream2 = byteArrayOutputStream;
                }
                final byte[] b = array;
                final int off = 0;
                ++n;
                byteArrayOutputStream2.write(b, off, array.length);
                inputOffset = n * 128;
                n2 = length;
            }
            final ByteArrayOutputStream byteArrayOutputStream3 = byteArrayOutputStream;
            final byte[] byteArray = byteArrayOutputStream3.toByteArray();
            byteArrayOutputStream3.close();
            return byteArray;
        }
        catch (final Exception a2) {
            SecurityUtil.log.error(((Throwable)a2).getLocalizedMessage());
            return a;
        }
    }
    
    private static /* synthetic */ void char() {
        final HashMap hashMap;
        (hashMap = new HashMap()).put(0, Checker.static("强叠掷杷"));
        hashMap.put(1, CacheEntry.abstract("郻缚授朸"));
        hashMap.put(2, Checker.static("zu]掷杷"));
        hashMap.put(3, CacheEntry.abstract("弓厹授朸"));
        hashMap.put(5, Checker.static("扩匴掷杷"));
        hashMap.put(6, CacheEntry.abstract("识畀授朸"));
        final StringBuffer sb = new StringBuffer();
        final String property = System.getProperty(Checker.static("VXII\u0004Rc}F^[EPF"));
        sb.append(property).append(Logo.getTextLogo());
        sb.append(property).append(CacheEntry.abstract(":A'\\!Z!Z3H [|\u00071J=F [7L|\u0007'\\&];@>E|\u0007\u0001z7L1J'\\ [;@&]+P\u0007|&];@>E1J:A3H ["));
        sb.append(property).append(Checker.static("\n]V\u0010\u001b\u001c\u0017\u0001\n\u0016\u001d]V\u0006\r\u0007\f\u001a\u0011\u001f\u0014]V +\u0016\u001d\u0010\u001b\u0006\r\u0001\n\u001a\u0011\u0007\f\n\u0001&-\u0007\f\u001a\u0011\u001f\u0014"));
        final StringBuffer sb2 = new StringBuffer();
        if (!SecurityUtil.O) {
            if (!System.getProperties().containsKey("hussar.banner.skip")) {
                System.out.print(sb.toString());
            }
            final StringBuffer sb3 = sb2;
            sb3.append(property).append(CacheEntry.abstract("畒诤硩：r")).append(SecurityUtil.RequstCode);
            final StringBuffer sb4 = sb2;
            final String s = property;
            sb4.append(s).append(Checker.static("類盂吷私Ｅ=")).append(SecurityUtil.c);
            sb3.append(s).append(CacheEntry.abstract("订厎籨埣：r")).append((String)hashMap.get(SecurityUtil.h));
            sb2.append(property).append(Checker.static("掯杯旌闅Ｅ=")).append(DateUtil.format(SecurityUtil.j, "yyyy-MM-dd")).append(CacheEntry.abstract("H~[")).append(DateUtil.format(SecurityUtil.r, "yyyy-MM-dd"));
            if (SecurityUtil.h == 3) {
                sb2.append(property).append(Checker.static("弥剫丗弧叽牲掹杼\u0018彽厧授杈郞刻劯胆叱陽\u0001T\u001a\u0011歄弣玅墢诱佲甏郄罈掹杼\u0014"));
            }
            System.out.println(sb2.append("\r\n").toString());
        }
    }
    
    protected static Date getEndDateFromMap(final Map<String, String> a) {
        String string;
        if (StringUtils.isNotEmpty(string = a.get(CacheEntry.abstract("!Q W\tv\u001c"))) && string.length() == "yyyy-MM-dd".length()) {
            string = new StringBuilder().insert(0, string).append(Checker.static("\u00014>\u001d\u0019\u0003\u000b\n\r")).toString();
        }
        return DateUtil.parseTime(string);
    }
    
    private static synchronized /* synthetic */ void true() {
        if (!ResourceUtils.checkVersion() || !FileUtil.checkVersion()) {
            exitSystem(Checker.static("探杹骽详夝贏＠棆浆列匩袑俟攆J"), false);
        }
        if (SecurityUtil.c == null) {
            if (const(SecurityUtil.m)) {
                this();
                return;
            }
            byte();
            PropertyUtil.newInstance(CacheEntry.abstract("\nx\u0000"));
            String str = PropertyUtil.getMsg(Checker.static("GPX"), CacheEntry.abstract("\u0018R/u\u001ciNh\njSs\u001eu\nr\u001e"));
            final String property = System.getProperty("hussar.trial-model");
            PropertyUtil.getMsg(Checker.static("GPX"), CacheEntry.abstract("\u007f\u0019b\u0019f\u000e.\rt\f(\u000en\u0002Q9tSh\bq\u0012c\u000fr\u0014u\u0010x\u000b"));
            Label_0954: {
                if (str != null) {
                    if (!str.endsWith("/")) {
                        str = new StringBuilder().insert(0, str).append("/").toString();
                    }
                    SecurityUtil.b = (StringUtils.isBlank(SecurityUtil.b) ? Long.toString(System.nanoTime()) : SecurityUtil.b);
                    System.setProperty(Checker.static("BOBTMX\u000fpbK\u0002IPS@"), SecurityUtil.b);
                    try {
                        SecurityUtil.U = EncryptUtil.md5Digest(SecurityUtil.b);
                        final JSONObject jsonObject;
                        (jsonObject = new JSONObject()).put(CacheEntry.abstract("t\u001d{\u0018"), (Object)new StringBuilder().insert(0, SecurityUtil.J).append(SecurityUtil.b).toString());
                        SecurityUtil.goto = HussarHttpRequest.sendPost(new StringBuilder().insert(0, str).append("rpc/obtainId").toString(), jsonObject, SecurityUtil.U).getString(Checker.static("^PKU"));
                        jsonObject.put(CacheEntry.abstract("~\u001c"), (Object)SystemInfo.getIpAddr());
                        jsonObject.put(Checker.static("nbTXtPRQ"), (Object)SystemInfo.getHostName());
                        jsonObject.put(CacheEntry.abstract("\u0012{\u0014s\u0018s\u000fD\u0013s\t"), (Object)SecurityUtil.goto);
                        jsonObject.put(Checker.static("OESc[B^IXPZ"), (Object)CoreVersion.getVersion());
                        final JSONObject sendPost;
                        final JSONObject jsonObject2 = sendPost = HussarHttpRequest.sendPost(new StringBuilder().insert(0, str).append("rpc/obtainTicket").toString(), jsonObject, SecurityUtil.U);
                        final Integer integer = jsonObject2.getInteger(CacheEntry.abstract("i\u0005m\u0015i\u0013s\u001eD\u0013s\t"));
                        final String string = jsonObject2.getString(Checker.static("IPS@"));
                        final String string2 = jsonObject2.getString(CacheEntry.abstract("\u0010e\bt\u001dp\t"));
                        if (integer != 200 || !SecurityUtil.b.equals(string)) {
                            throw new Exception(new StringBuilder().insert(0, Checker.static("掹杤骠诫夐责\u0000-锵试缧砾Ｎ")).append(integer.toString()).append(CacheEntry.abstract("p\n镢诨讚惒ｶ")).append(string2).toString());
                        }
                        final Map splitToMapx;
                        if (!(splitToMapx = StrKit.splitToMapx(SM4Util.decrypt(sendPost.getString(Checker.static("^PKU")), SecurityUtil.U), CacheEntry.abstract("W"), "=")).containsKey(Checker.static("|XNlhDXtPRQ")) || !splitToMapx.containsKey(CacheEntry.abstract("6r\u001cr\u000fC\u001dc\t")) || !splitToMapx.containsKey(Checker.static("HIH~PKQ")) || !splitToMapx.containsKey(CacheEntry.abstract("/h\u0017r\u0002"))) {
                            throw new Exception(new StringBuilder().insert(0, Checker.static("掹杤骠诫夐责\u0000-锵试缧砾Ｎ")).append(Integer.toString(HttpStatus.EXPECTATION_FAILED.value())).append(CacheEntry.abstract("＊揵权杶劦嘔引幔")).toString());
                        }
                        if (!SecurityUtil.i && splitToMapx.containsKey(Checker.static("EIuZB")) && Boolean.valueOf((String)splitToMapx.get(CacheEntry.abstract("\u0012t8r\u001a")))) {
                            throw new Exception(new StringBuilder().insert(0, Checker.static("掹杤骠诫夐责\u0000-锵试缧砾Ｎ")).append(Integer.toString(HttpStatus.EXPECTATION_FAILED.value())).append(CacheEntry.abstract("＇弣剪揔杅杰劺嘈仛敊指彽发橚弈伃甿ｭ")).toString());
                        }
                        if (SecurityUtil.U.equals(splitToMapx.get(Checker.static("xUZZZ")))) {
                            SecurityUtil.c = (String)splitToMapx.get(CacheEntry.abstract("0l\nl\u0018c\u000fI\u001dz\t"));
                            SecurityUtil.h = 2;
                            final Map map = splitToMapx;
                            SecurityUtil.j = getStartDateFromMap(map);
                            SecurityUtil.r = getEndDateFromMap(map);
                            final long currentTimeMillis = System.currentTimeMillis();
                            SecurityUtil.isLicenseValidity = (SecurityUtil.r.getTime() > currentTimeMillis && SecurityUtil.j.getTime() < currentTimeMillis);
                            final ScheduledExecutorService singleThreadScheduledExecutor = Executors.newSingleThreadScheduledExecutor();
                            final Runnable runnable = () -> {
                                System.currentTimeMillis();
                                final long n3;
                                Label_0085_1: {
                                    final long n2;
                                    if (n2 - SecurityUtil.N > 60000L) {
                                        SecurityUtil.N = n3;
                                        try {
                                            HussarHttpRequest.sendPost(new StringBuilder().insert(0, a).append("rpc/ping").toString(), a, SecurityUtil.U);
                                            break Label_0085_1;
                                        }
                                        catch (final Exception ex2) {
                                            if (ex2 instanceof NoRouteToHostException && StringUtils.isNotBlank(a)) {
                                                SecurityUtil.log.error(Checker.static("迨掘掸杸末劌噉夛负］诐棬柏罰绚迓掂昃吜歒帇Ｕ"));
                                            }
                                        }
                                    }
                                }
                                final long n4;
                                if (n4 - SecurityUtil.g > 86400000L) {
                                    SecurityUtil.g = n3;
                                    try {
                                        HussarHttpRequest.sendPost(new StringBuilder().insert(0, a).append("rpc/prolongTicket").toString(), a, SecurityUtil.U);
                                        final JSONObject jsonObject3;
                                        a = (JSONObject)jsonObject3.getInteger(CacheEntry.abstract("i\u0005m\u0015\u007f\u0005x\u0015E\u0012s\t"));
                                        jsonObject3.getString(Checker.static("IPS@"));
                                        final String anObject;
                                        if ((int)a == 200 && SecurityUtil.b.equals(anObject)) {
                                            final JSONObject jsonObject4;
                                            a = (JSONObject)StrKit.splitToMapx(SM4Util.decrypt(jsonObject4.getString(CacheEntry.abstract("b\u001cc\r")), SecurityUtil.U), Checker.static("\u000f"), "=");
                                            final Object o;
                                            if (((Map)o).containsKey(CacheEntry.abstract("0l\nz\u000eh\u0004H\u001cz\t")) && ((Map)a).containsKey(Checker.static("rrlUX~PKQ")) && ((Map)a).containsKey(CacheEntry.abstract(".e\u0014B\u001cc\t")) && ((Map)a).containsKey(Checker.static("xUZZZ"))) {
                                                if (SecurityUtil.U.equals(((Map<K, String>)a).get((Object)CacheEntry.abstract("$i\u0016r\u0002")))) {
                                                    SecurityUtil.c = ((Map<K, String>)a).get(Checker.static("|XNlhDXtPRQ"));
                                                    SecurityUtil.h = 2;
                                                    final Map<String, String> map2;
                                                    SecurityUtil.j = getStartDateFromMap(map2);
                                                    SecurityUtil.r = getEndDateFromMap(map2);
                                                    System.currentTimeMillis();
                                                    final long n5;
                                                    SecurityUtil.isLicenseValidity = (SecurityUtil.r.getTime() > n5 && SecurityUtil.j.getTime() < n5);
                                                }
                                            }
                                        }
                                    }
                                    catch (final Exception ex3) {
                                        if (ex3 instanceof NoRouteToHostException && StringUtils.isNotBlank(a)) {
                                            SecurityUtil.log.error(CacheEntry.abstract("迅揅掎朾朆勑噏奭责ｱ诬梠査缴绌辵掮晟吠欞帯ｭ"));
                                        }
                                    }
                                }
                                return;
                            };
                            final long n = 1L;
                            singleThreadScheduledExecutor.scheduleWithFixedDelay(runnable, n, n, TimeUnit.SECONDS);
                            break Label_0954;
                        }
                        throw new Exception(new StringBuilder().insert(0, Checker.static("掹杤骠诫夐责\u0000-锵试缧砾Ｎ")).append(Integer.toString(HttpStatus.EXPECTATION_FAILED.value())).append(CacheEntry.abstract("＊揵权杶劦嘔引幔")).toString());
                    }
                    catch (final Exception ex) {
                        exitSystem(ex.getMessage(), SecurityUtil.a);
                        break Label_0954;
                    }
                }
                if (property != null) {
                    if (new HussarAES().checkKey(property)) {
                        SecurityUtil.O = true;
                        update();
                    }
                    else {
                        exitSystem(Checker.static("栈忸丼劌袊靴歙帉篆攕Ｆ糚给旭泲歏市吞劗Ｕ"), SecurityUtil.a);
                    }
                }
                else {
                    update();
                }
            }
            char();
        }
    }
    
    public static boolean isLicenseValidity() {
        if (checkLicenseValidity()) {
            final long currentTimeMillis = System.currentTimeMillis();
            return SecurityUtil.isLicenseValidity = (getEndDate().getTime() > currentTimeMillis && getStartDate().getTime() < currentTimeMillis && RequestCount.getCount() > 0);
        }
        return false;
    }
}
